<script type="text/javascript">
window.onload = function()
{
	document.getElementById('id_polar').disabled = 'true';
	document.getElementById('id_antenna').disabled = 'true';
	document.getElementById('id_type').onchange = function()
	{
	var newValue = document.getElementById('id_type').value;
	document.getElementById('id_iface').value = newValue;
	if (newValue == 'eth') {
		newValue = 'true';
	} else {
		newValue = '';
	}
	document.getElementById('id_polar').disabled = newValue;
	document.getElementById('id_antenna').disabled = newValue;
	}

	/* XXX: Hack, dunno how to set this Django Style */
	var linkSelect = document.getElementById('id_link');
	linkSelect.options[0].text = "MASTER";
}
</script>
